## r-cran-fansi 0.4.0

=== DESCRIPTION ===
Package: fansi
Title: ANSI Control Sequence Aware String Functions
Description: Counterparts to R string manipulation functions that account for
   the effects of ANSI text formatting control sequences.
Version: 0.4.0
Authors@R: c(
    person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
    role=c("aut", "cre")),
    person("Elliott", "Sales De Andrade", role="ctb"),
    person(family="R Core Team",
    email="R-core@r-project.org", role="cph",
    comment="UTF8 byte length calcs from src/util.c"
    ))
Depends: R (>= 3.1.0)
License: GPL (>= 2)
LazyData: true
URL: https://github.com/brodieG/fansi
BugReports: https://github.com/brodieG/fansi/issues
VignetteBuilder: knitr
Suggests: unitizer, knitr, rmarkdown
RoxygenNote: 6.1.0.9000
Encoding: UTF-8
Collate: 'constants.R' 'fansi-package.R' 'has.R' 'internal.R' 'load.R'
        'misc.R' 'nchar.R' 'strip.R' 'strwrap.R' 'strtrim.R'
        'strsplit.R' 'substr2.R' 'tohtml.R' 'unhandled.R'
NeedsCompilation: yes
Packaged: 2018-10-04 19:06:14 UTC; bg
Author: Brodie Gaslam [aut, cre],
  Elliott Sales De Andrade [ctb],
  R Core Team [cph] (UTF8 byte length calcs from src/util.c)
Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
Repository: CRAN
Date/Publication: 2018-10-05 05:10:12 UTC

## r-cran-fansi 0.3.0

=== debian/changelog ===
r-cran-fansi (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Wed, 15 Aug 2018 09:50:25 +0200

r-cran-fansi (0.2.3-1) unstable; urgency=medium

  * Initial release (closes: #903884)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 09:41:46 +0200

=== debian/control ===
Source: r-cran-fansi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git
Homepage: https://cran.r-project.org/package=fansi

Package: r-cran-fansi
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R ANSI control sequence aware string functions
 This GNU R package Counterparts to R string manipulation functions
 that account for the effects of ANSI text formatting control
 sequences.

## r-cran-fansi 0.4.0

=== debian/changelog ===
r-cran-fansi (0.4.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 15 Apr 2019 16:16:08 +0200

r-cran-fansi (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Oct 2018 13:57:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git
 Homepage: https://cran.r-project.org/package=fansi

## r-cran-fansi 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: ANSI Control Sequence Aware String Functions
 Description: Counterparts to R string manipulation functions that account for
    the effects of ANSI text formatting control sequences.
-Version: 0.4.0
+Version: 0.4.1
 Authors@R: c(
     person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
     role=c("aut", "cre")),
@@ -18,16 +18,16 @@
 BugReports: https://github.com/brodieG/fansi/issues
 VignetteBuilder: knitr
 Suggests: unitizer, knitr, rmarkdown
-RoxygenNote: 6.1.0.9000
+RoxygenNote: 6.1.1
 Encoding: UTF-8
 Collate: 'constants.R' 'fansi-package.R' 'has.R' 'internal.R' 'load.R'
         'misc.R' 'nchar.R' 'strip.R' 'strwrap.R' 'strtrim.R'
         'strsplit.R' 'substr2.R' 'tohtml.R' 'unhandled.R'
 NeedsCompilation: yes
-Packaged: 2018-10-04 19:06:14 UTC; bg
+Packaged: 2020-01-06 01:58:57 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   Elliott Sales De Andrade [ctb],
   R Core Team [cph] (UTF8 byte length calcs from src/util.c)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2018-10-05 05:10:12 UTC
+Date/Publication: 2020-01-08 23:01:29 UTC

=== debian/changelog ===
r-cran-fansi (0.4.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Add hint to r-cran-unitizer in new to autopkgtest script
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 11:42:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git
 Homepage: https://cran.r-project.org/package=fansi

## r-cran-fansi 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: ANSI Control Sequence Aware String Functions
 Description: Counterparts to R string manipulation functions that account for
    the effects of ANSI text formatting control sequences.
-Version: 0.4.1
+Version: 0.4.2
 Authors@R: c(
     person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
     role=c("aut", "cre")),
@@ -18,16 +18,16 @@
 BugReports: https://github.com/brodieG/fansi/issues
 VignetteBuilder: knitr
 Suggests: unitizer, knitr, rmarkdown
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 Collate: 'constants.R' 'fansi-package.R' 'has.R' 'internal.R' 'load.R'
         'misc.R' 'nchar.R' 'strip.R' 'strwrap.R' 'strtrim.R'
         'strsplit.R' 'substr2.R' 'tohtml.R' 'unhandled.R'
 NeedsCompilation: yes
-Packaged: 2020-01-06 01:58:57 UTC; bg
+Packaged: 2021-01-15 02:13:47 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   Elliott Sales De Andrade [ctb],
   R Core Team [cph] (UTF8 byte length calcs from src/util.c)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2020-01-08 23:01:29 UTC
+Date/Publication: 2021-01-15 12:00:02 UTC

=== debian/changelog ===
r-cran-fansi (0.4.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jan 2021 14:27:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git
 Homepage: https://cran.r-project.org/package=fansi
+Rules-Requires-Root: no
 
 Package: r-cran-fansi
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/fansi_([-\d.]*)\.tar\.gz

## r-cran-fansi 0.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: ANSI Control Sequence Aware String Functions
 Description: Counterparts to R string manipulation functions that account for
    the effects of ANSI text formatting control sequences.
-Version: 0.4.2
+Version: 0.5.0
 Authors@R: c(
     person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
     role=c("aut", "cre")),
@@ -13,21 +13,21 @@
     ))
 Depends: R (>= 3.1.0)
 License: GPL (>= 2)
-LazyData: true
 URL: https://github.com/brodieG/fansi
 BugReports: https://github.com/brodieG/fansi/issues
 VignetteBuilder: knitr
 Suggests: unitizer, knitr, rmarkdown
+Imports: grDevices, utils
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 Collate: 'constants.R' 'fansi-package.R' 'has.R' 'internal.R' 'load.R'
         'misc.R' 'nchar.R' 'strip.R' 'strwrap.R' 'strtrim.R'
         'strsplit.R' 'substr2.R' 'tohtml.R' 'unhandled.R'
 NeedsCompilation: yes
-Packaged: 2021-01-15 02:13:47 UTC; bg
+Packaged: 2021-05-25 00:22:35 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   Elliott Sales De Andrade [ctb],
   R Core Team [cph] (UTF8 byte length calcs from src/util.c)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2021-01-15 12:00:02 UTC
+Date/Publication: 2021-05-25 04:40:10 UTC

=== debian/changelog ===
r-cran-fansi (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Sep 2021 08:46:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git
 Homepage: https://cran.r-project.org/package=fansi

## r-cran-fansi 1.0.2

=== DESCRIPTION ===
Package: fansi
Title: ANSI Control Sequence Aware String Functions
Description: Counterparts to R string manipulation functions that account for
   the effects of ANSI text formatting control sequences.
Version: 1.0.2
Authors@R: c(
    person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
    role=c("aut", "cre")),
    person("Elliott", "Sales De Andrade", role="ctb"),
    person(family="R Core Team",
    email="R-core@r-project.org", role="cph",
    comment="UTF8 byte length calcs from src/util.c"
    ))
Depends: R (>= 3.1.0)
License: GPL-2 | GPL-3
URL: https://github.com/brodieG/fansi
BugReports: https://github.com/brodieG/fansi/issues
VignetteBuilder: knitr
Suggests: unitizer, knitr, rmarkdown
Imports: grDevices, utils
RoxygenNote: 7.1.1
Encoding: UTF-8
Collate: 'constants.R' 'fansi-package.R' 'internal.R' 'load.R' 'misc.R'
        'nchar.R' 'strwrap.R' 'strtrim.R' 'strsplit.R' 'substr2.R'
        'trimws.R' 'tohtml.R' 'unhandled.R' 'normalize.R' 'sgr.R'
NeedsCompilation: yes
Packaged: 2022-01-13 10:53:54 UTC; bg
Author: Brodie Gaslam [aut, cre],
  Elliott Sales De Andrade [ctb],
  R Core Team [cph] (UTF8 byte length calcs from src/util.c)
Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
Repository: CRAN
Date/Publication: 2022-01-14 23:32:41 UTC

=== debian/changelog ===
r-cran-fansi (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 12:13:02 +0100

r-cran-fansi (1.0.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 1.0.0

 -- Nilesh Patra <nilesh@debian.org>  Fri, 14 Jan 2022 23:25:29 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
+               r-base-dev,
+               debhelper
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git

## r-cran-fansi 1.0.3

=== debian/changelog ===
r-cran-fansi (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Mar 2022 12:00:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: r-cran-fansi
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               debhelper
-Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git
 Homepage: https://cran.r-project.org/package=fansi
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-fansi
 Architecture: any

## r-cran-fansi 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: ANSI Control Sequence Aware String Functions
 Description: Counterparts to R string manipulation functions that account for
    the effects of ANSI text formatting control sequences.
-Version: 1.0.2
+Version: 1.0.4
 Authors@R: c(
     person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
     role=c("aut", "cre")),
@@ -24,10 +24,10 @@
         'nchar.R' 'strwrap.R' 'strtrim.R' 'strsplit.R' 'substr2.R'
         'trimws.R' 'tohtml.R' 'unhandled.R' 'normalize.R' 'sgr.R'
 NeedsCompilation: yes
-Packaged: 2022-01-13 10:53:54 UTC; bg
+Packaged: 2023-01-22 17:39:01 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   Elliott Sales De Andrade [ctb],
   R Core Team [cph] (UTF8 byte length calcs from src/util.c)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2022-01-14 23:32:41 UTC
+Date/Publication: 2023-01-22 19:20:02 UTC

=== debian/changelog ===
r-cran-fansi (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2023 15:14:42 +0100

## r-cran-fansi 1.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: ANSI Control Sequence Aware String Functions
 Description: Counterparts to R string manipulation functions that account for
    the effects of ANSI text formatting control sequences.
-Version: 1.0.4
+Version: 1.0.5
 Authors@R: c(
     person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
     role=c("aut", "cre")),
@@ -18,16 +18,16 @@
 VignetteBuilder: knitr
 Suggests: unitizer, knitr, rmarkdown
 Imports: grDevices, utils
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 Collate: 'constants.R' 'fansi-package.R' 'internal.R' 'load.R' 'misc.R'
         'nchar.R' 'strwrap.R' 'strtrim.R' 'strsplit.R' 'substr2.R'
         'trimws.R' 'tohtml.R' 'unhandled.R' 'normalize.R' 'sgr.R'
 NeedsCompilation: yes
-Packaged: 2023-01-22 17:39:01 UTC; bg
+Packaged: 2023-10-07 16:15:12 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   Elliott Sales De Andrade [ctb],
   R Core Team [cph] (UTF8 byte length calcs from src/util.c)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2023-01-22 19:20:02 UTC
+Date/Publication: 2023-10-08 19:30:05 UTC

=== debian/changelog ===
r-cran-fansi (1.0.5-1) unstable; urgency=medium

  * New upstream version
  * Hack to make upstream test pass

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 08:13:23 +0100

## r-cran-fansi 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: ANSI Control Sequence Aware String Functions
 Description: Counterparts to R string manipulation functions that account for
    the effects of ANSI text formatting control sequences.
-Version: 1.0.5
+Version: 1.0.6
 Authors@R: c(
     person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
     role=c("aut", "cre")),
@@ -24,10 +24,10 @@
         'nchar.R' 'strwrap.R' 'strtrim.R' 'strsplit.R' 'substr2.R'
         'trimws.R' 'tohtml.R' 'unhandled.R' 'normalize.R' 'sgr.R'
 NeedsCompilation: yes
-Packaged: 2023-10-07 16:15:12 UTC; bg
+Packaged: 2023-12-06 00:59:41 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   Elliott Sales De Andrade [ctb],
   R Core Team [cph] (UTF8 byte length calcs from src/util.c)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2023-10-08 19:30:05 UTC
+Date/Publication: 2023-12-08 03:30:02 UTC

=== debian/changelog ===
r-cran-fansi (1.0.6-1ubuntu1) plucky; urgency=medium

  * Uncomment the Debian patch to get tests passing again.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 17 Mar 2025 01:26:27 -0500

r-cran-fansi (1.0.6-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Run test in same manner as upstream

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 13:55:21 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: r-cran-fansi
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git
 Homepage: https://cran.r-project.org/package=fansi
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-unitizer,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-fansi 1.0.7

=== DESCRIPTION ===
Package: fansi
Title: ANSI Control Sequence Aware String Functions
Description: Counterparts to R string manipulation functions that account for
   the effects of ANSI text formatting control sequences.
Version: 1.0.7
Authors@R: c(
    person("Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
    role=c("aut", "cre")),
    person("Elliott", "Sales De Andrade", role="ctb"),
    person(given="R Core Team",
    email="R-core@r-project.org", role="cph",
    comment="UTF8 byte length calcs from src/util.c"
    ),
    person("Michael","Chirico", role="ctb",
    email="michaelchirico4@gmail.com", comment = c(ORCID="0000-0003-0787-087X")
    ),
    person(given = "Unicode, Inc.",
    role = c("cph", "dtc"),
    comment = "Unicode Character Database derivative data in src/width.c")
    )
Depends: R (>= 3.1.0)
License: GPL-2 | GPL-3
URL: https://github.com/brodieG/fansi
BugReports: https://github.com/brodieG/fansi/issues
VignetteBuilder: knitr
Suggests: unitizer, knitr, rmarkdown
Imports: grDevices, utils
RoxygenNote: 7.3.3
Encoding: UTF-8
Collate: 'constants.R' 'fansi-package.R' 'internal.R' 'load.R' 'misc.R'
        'nchar.R' 'strwrap.R' 'strtrim.R' 'strsplit.R' 'substr2.R'
        'trimws.R' 'tohtml.R' 'unhandled.R' 'normalize.R' 'sgr.R'
NeedsCompilation: yes
Packaged: 2025-11-18 23:27:14 UTC; brodie
Author: Brodie Gaslam [aut, cre],
  Elliott Sales De Andrade [ctb],
  R Core Team [cph] (UTF8 byte length calcs from src/util.c),
  Michael Chirico [ctb] (ORCID: <https://orcid.org/0000-0003-0787-087X>),
  Unicode, Inc. [cph, dtc] (Unicode Character Database derivative data in
    src/width.c)
Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
Repository: CRAN
Date/Publication: 2025-11-19 14:20:02 UTC

=== debian/changelog ===
r-cran-fansi (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 16:20:50 +0900

r-cran-fansi (1.0.6-2) unstable; urgency=medium

  * Team upload
  * Re-activate the patch to make the tests pass again.
    Thanks to Simon Quigley and Ubuntu

 -- Charles Plessy <plessy@debian.org>  Sat, 19 Apr 2025 11:11:33 +0200

=== debian/control ===
Source: r-cran-fansi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fansi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fansi.git
Homepage: https://cran.r-project.org/package=fansi
Rules-Requires-Root: no

Package: r-cran-fansi
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R ANSI control sequence aware string functions
 This GNU R package Counterparts to R string manipulation functions
 that account for the effects of ANSI text formatting control
 sequences.
